Redmine - Defect #32322

changes made to filter/column/groupby is not saved to session cookie
2019-10-22 09:31 - Taine Woo

Status: Needs feedback Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues filter Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 4.0.4

Description

changes made to filter/column/groupby is not saved to session cookie, after the browser is closed and restarted, the settings
recovered to default values.

Related issues:

Related to Redmine - Feature #24581: Save spent time filters in session in or... Closed

History

#1 - 2019-10-22 22:38 - Marius BALTEANU

- Status changed from New to Needs feedback

On which tab do you refer? The filter options are saved in the session only for issues, for time entries not (you can see why #24581#note-2).

#2 - 2019-10-22 22:40 - Marius BALTEANU

- Related to Feature #24581: Save spent time filters in session in order to have the same behaviour as for issue filters added
#3 - 2019-11-01 15:39 - Taine Woo
Marius BALTEANU wrote:

On which tab do you refer? The filter options are saved in the session only for issues, for time entries not (you can see why #24581#note-2).

Hi Marius,

yes i refer to issues. Users change the columns and apply, and then close the browser, the columns will be reset to default values from
Administration-Settings-IssueTracking, while user session is not expired.

#4 - 2020-03-02 12:19 - Taine Woo
Marius BALTEANU wrote:

On which tab do you refer? The filter options are saved in the session only for issues, for time entries not (you can see why #24581#note-2).
Method to reproduce:
1. Show "Issues" of project A, and make some changes (such as sort/columns);

2. Switch to project B, you will find the default setting value for columns and sort of the site is loaded.
3. Switch back to project A, changes made by step 1 is lost, settings for columns or sort is set to site default too.
